The sections a job's checklist is planned in, with the heading and the paragraph a technician
curl --request POST \
--url https://app.assetinfinity.ai/api/work_order_task_blocks \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"maintenance_plan_task_block_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"reference_file_count": 123,
"row_version": 123,
"sequence": 123,
"task_count": 123,
"template_code": "<string>",
"work_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.assetinfinity.ai/api/work_order_task_blocks"
payload = {
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"maintenance_plan_task_block_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"reference_file_count": 123,
"row_version": 123,
"sequence": 123,
"task_count": 123,
"template_code": "<string>",
"work_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
maintenance_plan_task_block_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
reference_file_count: 123,
row_version: 123,
sequence: 123,
task_count: 123,
template_code: '<string>',
work_order_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.assetinfinity.ai/api/work_order_task_blocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Work order execution
The sections a job's checklist is planned in, with the heading and the paragraph a technician
reads before the first step in each.
POST
/
work_order_task_blocks
The sections a job's checklist is planned in, with the heading and the paragraph a technician
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
work_order_task_blocks
The sections a job's checklist is planned in, with the heading and the paragraph a technician reads before the first step in each.
Note: This is a Primary Key.
Note:
This is a Foreign Key to maintenance_plan_task_blocks.id.
Maximum string length:
250Maximum string length:
60Note:
This is a Foreign Key to asset_maintenance_plans.next_work_order_id.
Response
201
Created
⌘I

